Name: hcl-get
Version: 0.3.99.40
Release: alt1

Summary: cli for jyahd
License: GPL2+
Group: System/Base
Url: https://www.altlinux.org/hcl-get
Packager: Serg A. Kotlyarov <shadowsbrother at gmail.com>

Source0: hcl-get.sh
Source1: hcl-get-root.sh
Source2: hcl-help.txt
Source3: hcl-get.asc
Source4: options
AutoReq: off

Requires: coreutils util-linux su sed file grep rpm psmisc gawk
Requires: /bin/sh hcl-gpgkey >= 0.2 gnupg <= 1.99.99 curl tar
Requires: dmidecode hwinfo lsb-release system-report >= 0.0.6

BuildPreReq: gnupg <= 1.99.99
BuildArch: noarch

Conflicts: hcl-gpgkey <= 0.2-alt1
Provides: libhcl = %version-%release
Provides: hcl-gpgkey = %version-%release
Obsoletes: libhcl <= 0.3

%description
%summary
More about jyahd https://www.altlinux.org/jyahd

%prep
[ -d home ] &&: || mkdir -m700 home

%install
gpg --homedir home --import %SOURCE3
install -pm600 %SOURCE4 home/gpg.conf
mkdir -p -- %buildroot/{%_bindir,%_datadir/libhcl,%_datadir/libhcl/gpg}
cd home
install -pm644 pubring.gpg secring.gpg trustdb.gpg gpg.conf \
	%buildroot/%_datadir/libhcl/gpg
cp -f -- %SOURCE0 %buildroot/%_bindir/%name
cp -f -- %SOURCE1 %buildroot/%_bindir/%name-root
cp -f -- %SOURCE2 %buildroot/%_datadir/libhcl

%files
%dir %_datadir/libhcl
%_datadir/libhcl/gpg/gpg.conf
%_datadir/libhcl/gpg/pubring.gpg
%_datadir/libhcl/gpg/trustdb.gpg
%_datadir/libhcl/gpg/secring.gpg
%_datadir/libhcl/*.txt
%_bindir/*

%changelog
